cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/relinquish" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"order": {
"effective_date": "2026-10-01"
}
}'from exsited import build_client
client = build_client()
response = client.orders.create_order_relinquish(
"ORD-0001", {"order": {"effective_date": "2026-10-01"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.createOrderRelinquish('ORD-0001', {order: {effective_date: '2026-10-01'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->createOrderRelinquish('ORD-0001', [
'order' => ['effective_date' => '2026-10-01'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderRead> response = client.orders().createOrderRelinquish(
"ORD-0001",
Map.of("order", Map.of("effective_date", "2026-10-01")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.CreateOrderRelinquishAsync(
"ORD-0001",
new Dictionary<string, object?>
{
["order"] = new Dictionary<string, object?>
{
["effective_date"] = "2026-10-01",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.createOrderRelinquish('ORD-0001', {
'order': {'effective_date': '2026-10-01'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().CreateOrderRelinquish(context.Background(), "ORD-0001", map[string]any{
"order": map[string]any{"effective_date": "2026-10-01"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"order": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allow_contract": true,
"billing_address": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"address_line_4": "<string>",
"address_line_5": "<string>",
"city": "<string>",
"country": "<string>",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"billing_preferences": {
"billing_period": "<string>",
"communication_profile": "<string>",
"consolidate_invoice": true,
"consolidate_key": "<string>",
"fulfillment_mode": "<string>",
"fulfillment_term": "<string>",
"invoice_mode": "<string>",
"invoice_term": "<string>",
"payment_mode": "<string>",
"payment_processor": "<string>",
"payment_term": "<string>",
"payment_term_alignment": "<string>",
"proforma_properties": {
"acceptance_date": "<unknown>",
"acceptance_required": true,
"acceptance_term": "<unknown>",
"payment_required": true,
"terms_and_conditions": "<unknown>"
}
},
"billing_start_date": "<string>",
"billing_start_day_of_month": "<string>",
"communication_preferences": [
{
"channel": "<string>",
"enabled": true
}
],
"contract_properties": {
"allow_downgrade": true,
"allow_early_termination": true,
"allow_postponement": true,
"allow_trial": true,
"allow_upgrade": true,
"apply_early_termination_charge": true,
"auto_renewal_ends_on": "<string>",
"auto_renewal_require_customer_acceptance": true,
"auto_renewal_term": "<string>",
"early_termination_charge_type": "<string>",
"early_termination_minimum_period": "<string>",
"initial_contract_term": "<string>",
"renew_automatically": "<string>",
"require_customer_acceptance": true,
"requires_payment_method": true,
"start_contract_after_trial_ends": true,
"termination_accounting_code": "<string>",
"termination_fixed_charge": "<string>",
"termination_notice_period": "<string>",
"trial_end_date": "<string>",
"trial_period": "<string>",
"trial_requires_payment_method": true
},
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": {}
}
],
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"customer_purchase_order_id": "<string>",
"description": "<string>",
"discount_profile": {
"amount": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"redemption_code": "<string>",
"type": "<string>"
},
"display_name": "<string>",
"id": "<string>",
"invoice_note": "<string>",
"kpis": {
"created_on": "<unknown>",
"deleted_at": "<unknown>",
"estimated_total": "<string>",
"last_cancelled_at": "<unknown>",
"last_changed_at": "<unknown>",
"last_invoice_issue_date": "<unknown>",
"last_invoice_total": "<string>",
"last_reactivated_at": "<unknown>",
"last_updated_on": "<unknown>",
"monthly_recurring_revenue": "<string>",
"next_invoice_issue_date": "<unknown>",
"object": "<string>",
"start_date": "<unknown>",
"total_collected": "<string>",
"total_due": "<string>",
"total_invoice": 123,
"total_outstanding": "<string>",
"total_revenue": "<string>"
},
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"lines": [
{
"booking": {
"booking_end_time": "<string>",
"booking_start_time": "<string>",
"labour_uuid": "<string>"
},
"charge_item_uuid": "<string>",
"expected_delivery_date": "<string>",
"id": "<string>",
"item": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"uuid": "<string>"
},
"item_accounting_code": {
"sales_revenue": "<unknown>"
},
"item_charge_type": "<string>",
"item_custom_attributes": [
{
"name": "<string>",
"value": {}
}
],
"item_description": "<string>",
"item_invoice_note": "<string>",
"item_order_quantity": 123,
"item_price_snapshot": {
"pricing_rule": {
"price": 123,
"price_period": "<string>",
"price_type": "<string>",
"pricing_level": "<string>",
"pricing_method": "<string>",
"pricing_schedule": "<string>",
"uom": "<string>",
"uuid": "<string>",
"version": "<string>",
"warehouse": "<string>"
}
},
"item_price_tax": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"rate": 123
},
"item_properties": {
"billing_mode": "<string>",
"charging_and_billing_alignment": "<string>",
"charging_period": "<string>",
"charging_start_date": "<string>",
"pro_rata_partial_charging_period": "<string>",
"pro_rata_partial_pricing_period": "<string>"
},
"item_sale_tax_configuration": {
"sale_price_is_based_on": "<string>",
"tax_code": {
"code": "<string>",
"link": "<string>",
"rate": {},
"uuid": "<string>"
}
},
"item_type": "<string>",
"object": "<string>",
"pre_order_stock_details": {
"pending_reserve": "<string>",
"reserved": "<string>",
"sold": "<string>"
},
"shipping_cost": 123,
"subtotal": "<string>",
"tax": "<string>",
"tax_exempt_when_sold": true,
"total": "<string>",
"version": 123
}
],
"manager": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"name": "<string>",
"next_billing_from_date": "<string>",
"next_billing_from_date_utc": "<string>",
"object": "<string>",
"order_start_date": "<string>",
"order_type": "<string>",
"origin": "<string>",
"original_total": "<string>",
"pre_order": true,
"price_tax_inclusive": true,
"quote_converted": true,
"quote_order": true,
"referral_account": "<unknown>",
"sales_rep": "<unknown>",
"shipping_address": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"address_line_4": "<string>",
"address_line_5": "<string>",
"city": "<string>",
"country": "<string>",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping_cost": 123,
"shipping_line_items": "<array>",
"shipping_profile": "<unknown>",
"status": "<string>",
"subtotal": "<string>",
"tax": "<string>",
"time_zone": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"total": "<string>",
"version": 123
}
}Orders
Relinquish an order
Relinquishes an order from the date you give and returns it under order.
POST
/
orders
/
{order_id}
/
relinquish
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/relinquish" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"order": {
"effective_date": "2026-10-01"
}
}'from exsited import build_client
client = build_client()
response = client.orders.create_order_relinquish(
"ORD-0001", {"order": {"effective_date": "2026-10-01"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.createOrderRelinquish('ORD-0001', {order: {effective_date: '2026-10-01'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->createOrderRelinquish('ORD-0001', [
'order' => ['effective_date' => '2026-10-01'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderRead> response = client.orders().createOrderRelinquish(
"ORD-0001",
Map.of("order", Map.of("effective_date", "2026-10-01")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.CreateOrderRelinquishAsync(
"ORD-0001",
new Dictionary<string, object?>
{
["order"] = new Dictionary<string, object?>
{
["effective_date"] = "2026-10-01",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.createOrderRelinquish('ORD-0001', {
'order': {'effective_date': '2026-10-01'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().CreateOrderRelinquish(context.Background(), "ORD-0001", map[string]any{
"order": map[string]any{"effective_date": "2026-10-01"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"order": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allow_contract": true,
"billing_address": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"address_line_4": "<string>",
"address_line_5": "<string>",
"city": "<string>",
"country": "<string>",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"billing_preferences": {
"billing_period": "<string>",
"communication_profile": "<string>",
"consolidate_invoice": true,
"consolidate_key": "<string>",
"fulfillment_mode": "<string>",
"fulfillment_term": "<string>",
"invoice_mode": "<string>",
"invoice_term": "<string>",
"payment_mode": "<string>",
"payment_processor": "<string>",
"payment_term": "<string>",
"payment_term_alignment": "<string>",
"proforma_properties": {
"acceptance_date": "<unknown>",
"acceptance_required": true,
"acceptance_term": "<unknown>",
"payment_required": true,
"terms_and_conditions": "<unknown>"
}
},
"billing_start_date": "<string>",
"billing_start_day_of_month": "<string>",
"communication_preferences": [
{
"channel": "<string>",
"enabled": true
}
],
"contract_properties": {
"allow_downgrade": true,
"allow_early_termination": true,
"allow_postponement": true,
"allow_trial": true,
"allow_upgrade": true,
"apply_early_termination_charge": true,
"auto_renewal_ends_on": "<string>",
"auto_renewal_require_customer_acceptance": true,
"auto_renewal_term": "<string>",
"early_termination_charge_type": "<string>",
"early_termination_minimum_period": "<string>",
"initial_contract_term": "<string>",
"renew_automatically": "<string>",
"require_customer_acceptance": true,
"requires_payment_method": true,
"start_contract_after_trial_ends": true,
"termination_accounting_code": "<string>",
"termination_fixed_charge": "<string>",
"termination_notice_period": "<string>",
"trial_end_date": "<string>",
"trial_period": "<string>",
"trial_requires_payment_method": true
},
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": {}
}
],
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"customer_purchase_order_id": "<string>",
"description": "<string>",
"discount_profile": {
"amount": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"redemption_code": "<string>",
"type": "<string>"
},
"display_name": "<string>",
"id": "<string>",
"invoice_note": "<string>",
"kpis": {
"created_on": "<unknown>",
"deleted_at": "<unknown>",
"estimated_total": "<string>",
"last_cancelled_at": "<unknown>",
"last_changed_at": "<unknown>",
"last_invoice_issue_date": "<unknown>",
"last_invoice_total": "<string>",
"last_reactivated_at": "<unknown>",
"last_updated_on": "<unknown>",
"monthly_recurring_revenue": "<string>",
"next_invoice_issue_date": "<unknown>",
"object": "<string>",
"start_date": "<unknown>",
"total_collected": "<string>",
"total_due": "<string>",
"total_invoice": 123,
"total_outstanding": "<string>",
"total_revenue": "<string>"
},
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"lines": [
{
"booking": {
"booking_end_time": "<string>",
"booking_start_time": "<string>",
"labour_uuid": "<string>"
},
"charge_item_uuid": "<string>",
"expected_delivery_date": "<string>",
"id": "<string>",
"item": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"uuid": "<string>"
},
"item_accounting_code": {
"sales_revenue": "<unknown>"
},
"item_charge_type": "<string>",
"item_custom_attributes": [
{
"name": "<string>",
"value": {}
}
],
"item_description": "<string>",
"item_invoice_note": "<string>",
"item_order_quantity": 123,
"item_price_snapshot": {
"pricing_rule": {
"price": 123,
"price_period": "<string>",
"price_type": "<string>",
"pricing_level": "<string>",
"pricing_method": "<string>",
"pricing_schedule": "<string>",
"uom": "<string>",
"uuid": "<string>",
"version": "<string>",
"warehouse": "<string>"
}
},
"item_price_tax": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"rate": 123
},
"item_properties": {
"billing_mode": "<string>",
"charging_and_billing_alignment": "<string>",
"charging_period": "<string>",
"charging_start_date": "<string>",
"pro_rata_partial_charging_period": "<string>",
"pro_rata_partial_pricing_period": "<string>"
},
"item_sale_tax_configuration": {
"sale_price_is_based_on": "<string>",
"tax_code": {
"code": "<string>",
"link": "<string>",
"rate": {},
"uuid": "<string>"
}
},
"item_type": "<string>",
"object": "<string>",
"pre_order_stock_details": {
"pending_reserve": "<string>",
"reserved": "<string>",
"sold": "<string>"
},
"shipping_cost": 123,
"subtotal": "<string>",
"tax": "<string>",
"tax_exempt_when_sold": true,
"total": "<string>",
"version": 123
}
],
"manager": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"name": "<string>",
"next_billing_from_date": "<string>",
"next_billing_from_date_utc": "<string>",
"object": "<string>",
"order_start_date": "<string>",
"order_type": "<string>",
"origin": "<string>",
"original_total": "<string>",
"pre_order": true,
"price_tax_inclusive": true,
"quote_converted": true,
"quote_order": true,
"referral_account": "<unknown>",
"sales_rep": "<unknown>",
"shipping_address": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"address_line_4": "<string>",
"address_line_5": "<string>",
"city": "<string>",
"country": "<string>",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping_cost": 123,
"shipping_line_items": "<array>",
"shipping_profile": "<unknown>",
"status": "<string>",
"subtotal": "<string>",
"tax": "<string>",
"time_zone": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"total": "<string>",
"version": 123
}
}Send
effective_date under order. After the call the order’s status is relinquished.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The relinquished order, under order.
Show child attributes
Show child attributes